package com.springboot.CustomSecurityWithDB.service;


import java.util.List;

import org.springframework.security.access.annotation.Secured;

import com.springboot.CustomSecurityWithDB.entities.Topic;

public interface TopicService {

	 @Secured ({"ROLE_ADMIN", "ROLE_USER"})
	//@PreAuthorize("hasAnyRole('ROLE_ADMIN','ROLE_USER')")
	 public abstract List<Topic> getAllTopics();

	//@PreAuthorize("hasAnyRole('ROLE_ADMIN','ROLE_USER')")
	 @Secured ({"ROLE_ADMIN", "ROLE_USER"})
	 public abstract Topic getTopicById(int topicId);

	 @Secured ({"ROLE_ADMIN"})
	//@PreAuthorize("hasAnyRole('ROLE_ADMIN')")
	 public abstract Topic addTopic(Topic topic);

	 @Secured ({"ROLE_ADMIN"})
	 public abstract Topic updateTopic(Topic topic);

	 @Secured ({"ROLE_ADMIN"})
	 public abstract void deleteTopic(int topicId);
}
